* I don't like how it's activated on a click. Activating a hover feels better to me and is how the previous version 
worked. -- Eric
* I like click better because it's more predictable and akin to what your desktop menus do. I've also had it all to 
often that on-hover menus just disappear again when you move your mouse over some arbitrary border, 
which is frustrating -- Felix
* I also like the click option much better -- Niels
* I prefer a click event too. Hover makes the site feel bumpy. You trigger an event without confirming (clicking) 
it. IMO menus should not work like this. -- Romano

Associated revisions
2008-03-05 01:43 pm - Jean-Philippe Lang 
Fixed "LdapError: invalid binding information" when no username/password are set on the LDAP account (#764).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1194 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-12-10 07:26 pm - Eric Davis
- Assignee set to Eric Davis

Before we discuss this I want to make it clear that the goal of this discussion is to reach a decision for 3.0.0-beta. I do not want to spend weeks 
discussing this, nor is the perfect decision needed. What is important is that we look at the pros and cons of each implementation and pick the best one 
for right now. We can change our mind later as more people use it and we get feedback.

* As of today (commit:ee48a8da4f) unstable has the *click* style.
* I've created a prototype for the *hover* style ("pull request":https://github.com/chiliproject/chiliproject/pull/141)

2011-12-16 08:22 pm - Eric Davis
Does anyone have any comments?

2011-12-17 11:48 am - Felix Schäfer
Other than: I think click-activation for menus is less surprising because it's the same behavior as for example desktops, reflects the intent rather than a 
position of the mouse, I'm not sure how good the hover-style would work for touch devices and that I've cursed (nearly?) every hover-activated menu 
I've come across because you have to take care to stay on the menu to keep it open, no :-)

In short: I'm for click, not hover.

2011-12-17 12:38 pm - Holger Just
Felix mentioned the important points:

* It' less surprising for most users
* It's better usable for people with motor disabilities as the exact position of the pointing device is not important for the whole duration of the interaction
* Actions for opening and closing of submenus are active choices instead of being implicit.
* It works intuitively for touch devices without a mouse pointer.

So I'm pro-click.

The only thing we might have to change is to reduce the hover-effect currently on the menus. The goal should be to indicate that it is a clickable area 
without implying that it actually does something on hover. Currently, the most important hint (at least for sighted people) is the small arrow besides the 
menu that is universally understood as an indicator for a menu or something that can be expanded on click.

2011-12-17 09:56 pm - Eric Davis
Felix SchÃ¤fer wrote:
> Other than: I think click-activation for menus is less surprising because it's the same behavior as for example desktops

Designing for the web is different than the desktop.

> I'm not sure how good the hover-style would work for touch devices

Good point, I'll test this out. If anything we could handle touch events too.

(Also the current click event doesn't work on a touch device to close a menu either)

Holger Just wrote:
> Felix mentioned the important points:
> 
> * It' less surprising for most users
> * It's better usable for people with motor disabilities as the exact position of the pointing device is not important for the whole duration of the interaction

Do you have links to research that says this or is this your opinion? I've been seeing a lot of accessibility "facts" being thrown around over the past year 
that aren't backed up by any factual research. It's even worse when two "accessibility experts" say exactly the opposite, which is what I found with "click 
vs hover" menus.

> The only thing we might have to change is to reduce the hover-effect currently on the menus. The goal should be to indicate that it is a clickable area 
without implying that it actually does something on hover. Currently, the most important hint (at least for sighted people) is the small arrow besides the 
menu that is universally understood as an indicator for a menu or something that can be expanded on click.

I think I agree. Right now hovering on the menu depresses the button which generally means you activated the button. I think it should just be 
highlighted more (e.g. slightly lighter color on hover and then a depression/white on activation). The sidebar menu is slightly better.

2011-12-17 10:18 pm - Eric Davis
Eric Davis wrote:

> > I'm not sure how good the hover-style would work for touch devices
> 
> Good point, I'll test this out. If anything we could handle touch events too.

I just tested how hover works on a touch device, it's the same as click. You touch the menu, it opens, you can untouch and the menu stays open. (ipad 
and iphone, ios 5).

2011-12-18 06:07 am - Gabriel Mazetto

2020-10-25 2/4



I use iOS 5, but have to say that it's not a standard. You have to make sure it will work with android 2.x, not to mention windows 8 (ie) and linux touch 
enabled interfaces. Being useful for many but not for all can be a not good solution. I'm also votting for a click solution, as it's what iOS emulates and i 
think the others would do, so, instead of risking not working in some untested situation, just go for it

2011-12-18 09:26 am - Felix Schäfer
Eric Davis wrote:
> Felix SchÃ¤fer wrote:
> > Other than: I think click-activation for menus is less surprising because it's the same behavior as for example desktops
> 
> Designing for the web is different than the desktop.

"for example", I could throw in ATMs and ticket machines for public transportation too, but that's not my point.

The point is that the common abstraction for menus is "click-to-open", designing for the web is different from the desktop, that's not a reason to just 
throw (somewhat) standard and widely used mechanics out of the window. EVs can be designed quite differently from gas guzzlers because you don't 
need to mechanically transfer movement from a central motor to the wheels, they still have round wheels though.

Anyway, even leaving this argument out, the only argument I read from you that wasn't a counter was that you like hover better/hover feels better to you 
vs. less surprise and explicit action, this qualifies as settled on click for me.

2011-12-28 12:30 am - Eric Davis
- Target version deleted (3.0.0)

- Affected version set to 3.0.0

- Status changed from Open to Declined

Forget it, I don't care about this enough to argue about this feature any more.

Someone still needs to fix the menu design. It's hover state is acting like a click even though the button wasn't clicked. It should get lighter on a hover 
and depress on a click. Not depress on a hover and lighten on a click.

2011-12-28 08:54 pm - Thomas Winkel
- Status changed from Declined to Open

If this is easy to implement, I would suggest to enable this feature on chiliproject.org for one week and discuss it afterwards.

Btw, for me the the menus without content feels like a bug.
For excample "Projects" when you are not logged in or not assigned to any project.
I think they should be grayed out.

I reopened this issue, not sure if this is the correct proceeding when adding a comment to a declined issue...?

2012-04-26 07:07 am - TomÃ¡Å¡ Jukin
Thomas Winkel wrote:
> If this is easy to implement, I would suggest to enable this feature on chiliproject.org for one week and discuss it afterwards.
> 
> Btw, for me the the menus without content feels like a bug.
> For excample "Projects" when you are not logged in or not assigned to any project.
> I think they should be grayed out.
> 
> I reopened this issue, not sure if this is the correct proceeding when adding a comment to a declined issue...?

+1, hover is a must have (IMHO)
+1, empty menus should not be shown (or disabled/grayed out), like Thomas says (IMHO)

2012-12-19 09:13 am - Coenraad Loubser
-1 IMHO Hover can be annoying. Granted - less so if there are no side-sub-menus. Can it be added as a theme option so it's just a matter of what the 
default should be?

+1 Empty menus greyed out

PS High Priority? I think high priority should be reserved for debilitating issues, not features, wishlists or cosmetics. 

2012-12-21 02:51 pm - Chris Dähn
Hi,

good arguments - I'll test the hover thing on my installation.

Making it switchable could be realized simply by adding a new theme, so one can switch that in the Settings page.

Greying out empty menu entries sounds smart - I fear it's currently hard to realize that by a Ruby programmer, I could ry to solve that by JavaScript 
(inside the theme).

ciao,
Chris

2013-06-22 11:59 pm - Chris Dähn
Side Note:

* Hover: doesn't work for mobile UIs and should be taken into mind
* Greying out: could be done with jQuery
